import React from 'react';
import { connect } from 'umi';
import SceneSrmMobileComponent from '../../../mobile/common/SceneSrmMobile';

function SceneMobile({
  dispatch, app, content, sModelType, sModelsId,
}) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const sceneMobileProps = {
    app,
    content,
    dispatch,
    sModelType,
    sModelsId,
    onRemovePane: removePane,
  };
  return (
    <SceneSrmMobileComponent {...sceneMobileProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(SceneMobile);
